function cnew = makec( w, m, n );
% l should be equal to 1, k should be odd,
% and w should be the coefficients of the
% cardinal function, centred on w.
[k,l]=size(w);
% k0 is the coordinate of the central element
k0 = (k+1)/2; 
% n will be the size of the final conditioning
% matrix, m will be half the bandwidth.
z=zeros(n,1);
wnew=w(k0-m:k0+m);
e=ones(2*m+1,1)/sqrt(2*m+1);
wnew = wnew - (wnew'*e)*e;
z(1:m+1)=wnew((m+1):2*m+1);
cnew=toeplitz(z);
e=ones(n,1);
f = cnew*e;
cnew = cnew - (1/(f'*e))*f*f';




